CALIBREDB(1)

NAME
calibredb - calibredb

calibredb command [options] [arguments]

calibredb é a interface de linha de comando para a base de dados do calibre. Ele tem vários sub-comandos, documentados abaixo.

calibredb pode ser usado para manipular uma base de dados do calibre especificada pelo caminho ou um Servidor de conteúdo rodando na máquina local ou na internet. Você pode iniciar um Servidor de conteúdo usando o programa command:calibre-server ou na interface principal do calibre, clicando em Conectar/compartilhar  → Iniciar o Servidor de conteúdo. Uma vez que o calibredb pode fazer alterações nas suas bibliotecas do calibre, você deve configurar a autenticação no servidor primeiro. Há duas maneiras de se fazer isso:

•   Se você planeja se conectar somente a um servidor rodando no mesmo computador, você pode simplesmente usar a opção --enable-local-write do Servidor de conteúdo, para permitir que qualquer programa, incluindo o calibredb, rodando no computador local, faça alterações aos seus dados do calibre. Ao iniciar, o servidor através da interface principal do calibre, esta opção está em Preferências → Compartilhar pela rede → Avançado.

•   Se você deseja habilitar o acesso pela internet, então você deve configurar contas de usuários no servidor e utilizar as opções --username e --password para o calibredb conceder acesso. Você pode configurar a autenticação do usuário no calibre-server utilizando a opção --enable-auth e usando --manage-users para criar contas de usuários. Se você estiver rodando o servidor a partir da interface principal do calibre, use Preferências → Compartilhar pela rede → Exigir usuário e senha para acessar o servidor de conteúdo.

    Para se conectar a um Servidor de conteúdo rodando, passe a URL do servidor para a opção --with-library. Veja a documentação dessa opção para detalhes e exemplos.

•   OPÇÕES GLOBAIS

•   list

•   add

•   ADICIONAR A PARTIR DE PASTAS

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB OPÇÕES

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

•   fts_index

•   fts_search

OPÇÕES GLOBAIS

--help, -h
    mostrar esta mensagem de ajuda e sair

--library-path, --with-library
    Caminho para a biblioteca calibre. O padrão é usar o caminho armazenado nas configurações. Você também pode se conectar a um servidor de conteúdo do calibre para executar ações em bibliotecas remotas. Para fazer isso, use uma URL de formulário: http://hostname:port/#library_id por exemplo, http://localhost:8080/#mylibrary. library_id é o ID da biblioteca da biblioteca à qual você deseja se conectar no Servidor de Conteúdo. Você pode usar o valor de library_id - para obter uma lista de IDs de bibliotecas disponíveis no servidor. Para detalhes sobre como configurar o acesso através de um Servidor de Conteúdo, consulte https://manual.calibre-ebook.com/pt/generated/pt/calibredb.html.

--password
    Senha para se conectar a um Servidor de Conteúdo Calibre. Para ler a senha da entrada padrão, use o valor especial: <stdin>. Para ler a senha de um arquivo, use: <f:/path/to/file> (ex: <f: followed by the full path to the file and a trailing >). Os colchetes acima são necessários, lembre-se de escapar deles ou usar aspas para o seu shell.

--timeout
    O tempo limite, em segundos, ao conectar-se a uma biblioteca do calibre pela rede. O padrão é dois minutos.

--username
    Nome de usuário para conectar ao servidor de conteúdo do Calibre

--version
    mostrar número da versão do programa e sair

LIST

calibredb list [opções]

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--ascending
    Ordenar resultados em ordem ascendente

--fields, -f
    Campos que serão exibidos ao listar livros no banco de dados. Deve ser uma lista de campos separada por vírgulas. Campos disponíveis: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Padrão: title,authors. O campo especial "all" pode ser usado para selecionar todos os campos. Em complemento aos campos acima, campos personalizados também estão disponíveis como *field_name. Por exemplo, para um campo personalizado #rating, use o nome: *rating.

--for-machine
    Gerar saída no modo JSON, o que é mais adequado para a análise automática. Faz com que a largura de linha e opções de separação sejam ignoradas.

--limit
    O número máximo de resultados para exibir. Padrão: tudo

--line-width, -w
    A largura máxima de uma única linha na saída. O padrão é detectar o tamanho da tela.

--prefix
    O prefixo do caminho de todos arquivos. O padrão é o caminho completo até a pasta da biblioteca.

--search, -s
    Filtrar os resultados pela frase de pesquisa. Para o formato da frase de pesquisa, consulte a documentação à respeito de pesquisa no Manual do Usuário. O padrão é não filtrar.

--separator
    O Caractere usado para separar os campos. O padrão é um espaço.

--sort-by
    O campo pelo qual ordenar os resultados. Você pode especificar múltiplos campos separando-os por vírgulas. Campos disponíveis: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Padrão: id

--template
    O modelo a ser executado se "template" estiver na lista de campos. Padrão: Nenhum

--template_file, -t
    Caminho para um arquivo contendo o modelo a ser executado se "template" estiver na lista de campos. Padrão: Nenhum

--template_heading
    Cabeçalho para a coluna do modelo. Padrão: template. Esta opção é ignorada se a opção --for-machine estiver definida

ADD

calibredb add [opções] arquivos1 arquivo2 arquivo3 ...

Adicionar os arquivos especificados como livros para a base de dados. Você pode também especificar pastas, consulte abaixo as opções relacionadas com pastas.

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--authors, -a
    Configure o(s) autor(es) do(s) livro(s) adicionado(s)

--automerge, -m
    Se livros com títulos e autores similares forem encontrados, mescla os formatos (arquivos) de entrada aos registros de livros existentes. O valor "ignore" significa que formatos duplicados são descartados. O valor "overwrite" significa que os formatos duplicados na biblioteca são sobrescritos com os novos arquivos adicionados. O valor "new_record" significa que formatos duplicados serão inseridos em um novo registro de livro.

--cover, -c
    Caminho para a capa para usar no livro adicionado

--duplicates, -d
    Adicionar livros para a base de dados mesmo se eles já existirem. A comparação é feita baseada nos títulos e autores dos livros. Note que a opção --automerge tem precedência.

--empty, -e
    Adicionar um livro vazio (um livro sem formatos)

--identifier, -I
    Definir identificadores para este livro, por exemplo -I asin:XXX -I isbn:YYY

--isbn, -i
    Configure o ISBN do(s) livro(s) adicionado(s)

--languages, -l
    Uma lista de idiomas separados por vírgulas (melhor usar códigos de idioma ISO639, assim alguns nomes de idiomas possam também ser reconhecidos)

--series, -s
    Definir a série do(s) livro(s) adicionado(s)

--series-index, -S
    Definir o número de série do(s) livro(s) adicionado(s)

--tags, -T
    Configure as etiquetas do(s) livro(s) adicionado(s)

--title, -t
    Configure o título do(s) livro(s) adicionado(s)

  ADICIONAR A PARTIR DE PASTAS

Opções para controlar a adição de livros a partir de pastas. Por padrão, apenas os arquivos que tem uma extensão de e-book conhecida são adicionados.

--add
    Um padrão de nome de arquivo (glob). Arquivos que correspondam a este padrão serão adicionados ao escanear pastas por arquivos, mesmo se forem de um tipo de e-book desconhecido. Pode ser especificado múltiplas vezes para múltiplos padrões.

--ignore
    Um padrão (glob) de nome de arquivo. Arquivos correspondentes a este padrão serão ignorados ao escanear pastas por arquivos. Pode ser especificado múltiplas vezes para múltiplos padrões. Por exemplo: *.pdf irá ignorar todos os arquivos PDF

--one-book-per-directory, -1
    Assumir que cada pasta possui apenas um e-book e que todos os arquivos nela sejam formatos diferentes do mesmo e-book

--recurse, -r
    Processar pastas recursivamente

REMOVE

calibredb remove ids

Remove os livros identificados por IDs do banco de dados. IDs devem ser uma lista de números id separados por vírgulas (você pode pegar os números de ids utilizando o comando de busca). Por exemplo, 23 ,34,57-85 (quando especificar um alcance, o último número não é incluído).

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--permanent
    Não usar a Lixeira

ADD_FORMAT

calibredb add_format [options] id ebook_file

Adiciona o livro em ebook_file para os formatos disponíveis de livro lógico identificados por id. Você pode pegar um id usando o comando de busca. Se o formato já existe, ele é substituído, a menos que a opção de não substituir seja marcada.

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--as-extra-data-file
    Adicionar como um arquivo de dados extra do livro, não como um formato de e-book

--dont-replace
    Não substituir o formato se ele já existir

REMOVE_FORMAT

calibredb remove_format [options] id fmt

remove o formato fmt de um livro lógico identificado pelo id. Você pode pegar o id utilizando o comando de busca. fmt pode ser uma extensão de arquivo como LRF ou TXT ou EPUB. Se o arquivo lógica não tem fmt disponível, não faz nada.

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

SHOW_METADATA

calibredb show_metada[options] id

Apresenta os metadados armazenados na base de dados do calibre para o livro identificado pelo id. Id é um número de id do comando de busca.

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--as-opf
    Imprimir metadados num formulário OPF (XML)

SET_METADATA

calibredb set_metadata [opções] book_id [/caminho/para/metadata.opf]

Define os metadados armazenados na base de dados do calibre para o livro identificado por book_id a partir do arquivo OPF metadata.opf. book_id é um número de identificação do comando de pesquisa. Você pode ter uma ideia do formato OPF utilizando a opção --as-opf para o comando show_metadata. Também pode definir os metadados de campos individuais com a opção --field. Se usar a opção --field, não é necessário especificar um arquivo OPF.

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--field, -f
    O campo a ser definido. O formato é field_name:valor, por exemplo: --field tags:etiqueta1,etiqueta2. Use --list-fields para obter uma lista de todos os nomes de campo. Você pode especificar essa opção várias vezes para definir vários campos. Nota: Para idiomas que você deve usar os códigos de linguagem ISO639 (por exemplo, en para Inglês, fr para Francês e assim por diante). Para identificadores, a sintaxe é --field identifiers:isbn:XXXX,doi:YYYYY. Para campos booleanos (sim/não) usam verdadeiro e falso ou sim e não.

--list-fields, -l
    Listar os nomes dos campos de metadados que podem ser usados ​​com a opção --field

EXPORT

calibredb export [opções] ids

Exportar os livros especificados pelos ids (uma lista separada por vírgula) para o sistema de arquivos. A operação de exportação salva todos os formatos do livro, sua capa e metadados (em um arquivo OPF). Quaisquer arquivos de dados extras associados com o livro também serão salvos. Você pode obter os números de id através do comando de busca.

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--all
    Exportar todos os livros do banco de dados, ignorando a lista de IDs.

--dont-asciiize
    Permitir que o calibre converta todos os caracteres não Ingleses para seus equivalentes nos nomes dos arquivos. Isto é útil ao salvar em sistemas antigos sem suporte a nomes de arquivo Unicode. Especificar esta mudança desligará este comportamento

--dont-save-cover
    Normalmente, o calibre irá salvar a capa em um arquivo separado juntamente com os atuais arquivos do e-book Especificar esta mudança desligará este comportamento

--dont-save-extra-files
    Salva quaisquer arquivos extras associados ao salvar o livro Especificar esta mudança desligará este comportamento

--dont-update-metadata
    Normalmente, o calibre atualizará os metadados nos arquivos salvos que estejam na biblioteca do calibre. Faz com que salvamentos no disco sejam mais lentos. Especificar esta mudança desligará este comportamento

--dont-write-opf
    Normalmente, calibre escreverá os metadados dentro de arquivos OPF separados com os arquivos de e-book atuais. Especificar esta mudança desligará este comportamento

--formats
    Lista separada por vírgulas de formatos para salvar cada livro. Por padrão todos formatos disponíveis são salvos.

--progress
    Relatar progresso

--replace-whitespace
    Substituir espaços em branco por "_".

--single-dir
    Exportar todos os livros para uma única pasta

--template
    Modelo para controlar a estrutura de nome do arquivo e pasta dos arquivos salvos. O padrão é "{author_sort}/{title}/{title} - {authors}", que vai salvar os livros em uma subpasta por autor com nomes de arquivos contendo título e autor. Os controles disponíveis são: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    O formato para exibir datas. %d - dia, %b - mês, %m - número do mês, %Y - ano. O padrão é: %b, %Y

--to-dir
    Exportar livros para a pasta especificada. O padrão é .

--to-lowercase
    Converter caminhos para letras minúsculas

CATALOG

calibredb catalog /path/to/destination.(csv|epub|mobi|xml...) [options]

Export a catalog in format specified by path/to/destination extension. Options control how entries are displayed in the generated catalog output. Note that different catalog formats support different sets of options. To see the different options, specify the name of the output file and then the --help option.

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--ids, -i
    Lista separada por vírgulas dos IDs da base de dados do catálogo. Se declarado, --search será ignorado. Padrão: todos

--search, -s
    Filtre os resultados por uma frase de pesquisa. Para o formato da frase de pesquisa, consulte a documentação relacionada a pesquisa no Manual do Usuário. Padrão: sem filtros

--verbose, -v
    Mostrar informação detalhada de saída. Útil para depuração

  EPUB OPÇÕES

--catalog-title
    Título do catálogo gerado usado como título em metadados. Padrão: 'My Books' Aplica-se a: formatos de saída AZW3, ePub, MOBI

--cross-reference-authors
    Criar referências cruzadas na seção Autores de livros com vários autores. Padrão: 'False' Aplica-se a: formatos de saída AZW3, ePub, MOBI

--debug-pipeline
    Salvar a saída de diferentes estágios do processo de conversão para a pasta especificada. Útil se você não tem certeza em que fase do processo de conversão um erro está ocorrendo. Padrão: 'None' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--exclude-genre
    Expressão regular descrevendo etiquetas para excluir como gêneros. Padrão: '[.+]|^+$' exclui etiquetas entre colchetes, por exemplo, '[Projeto Gutenberg]', e '+', a etiqueta padrão para livros de leitura. Aplica-se a: formatos de saída AZW3, ePub, MOBI

--exclusion-rules
    Especifica as regras usadas para excluir livros do catálogo gerado. O modelo para uma regra de exclusão é ('<rule name>','Etiquetas','<comma-separated list of tags>') ou ('<rule name>','<custom column>','<pattern>'). Por exemplo: (('Livros arquivados','#status','Arquivado'),) irá excluir um livro com um valor de 'Arquivado' na coluna personalizada 'status'. Quando várias regras são definidas, todas as regras serão aplicadas. Padrão: "(('Catalogs','Tags','Catalog'),)" Aplica-se aos formatos de saída AZW3, ePub, MOBI

--generate-authors
    Incluir a seção 'Autores' no catálogo. Padrão: 'False' Aplica-se a: formatos de saída AZW3, ePub, MOBI

--generate-descriptions
    Incluir a seção 'Descrições' no catálogo. Padrão: 'False' Aplica-se a: formatos de saída AZW3, ePub, MOBI

--generate-genres
    Incluir a seção 'Gêneros' no catálogo. Padrão: 'False' Aplica-se a: formatos de saída AZW3, ePub, MOBI

--generate-recently-added
    Incluir a seção 'Adicionados Recentemente' no catálogo. Padrão: 'False' Aplica-se a: formatos de saída AZW3, ePub, MOBI

--generate-series
    Incluir a seção 'Série' no catálogo. Padrão: 'False' Aplica-se a: formatos de saída AZW3, ePub, MOBI

--generate-titles
    Incluir a seção 'Títulos' no catálogo. Padrão: 'False' Aplica-se a: formatos de saída AZW3, ePub, MOBI

--genre-source-field
    Campo recurso para a seção 'Gêneros'. Padrão: 'Etiquetas' Aplica-se a: formatos de saída AZW3, ePub, MOBI

--header-note-source-field
    Campo personalizado que contém o texto da nota para inserir no cabeçalho da Descrição. Padrão: '' Aplica-se a: formatos de saída AZW3, ePub, MOBI

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] especificando: <custom field> Campo personalizado contendo notas para mesclar com os comentários [before|after] Espaços reservados de notas com os respectivos comentários [True|False] - Uma régua horizontal é inserida entre notas e comentários padrão: '::' Aplica-se a formatos de saída AZW3, ePub, MOBI

--output-profile
    Especifica o perfil de saída. Em alguns casos, um perfil de saída é necessário para otimizar o catálogo para o dispositivo. Por exemplo, 'kindle' ou 'kindle_dx' cria uma tabela estruturada de conteúdo com seções e artigos. Padrão: 'None' Aplica-se a: formatos de saída AZW3, ePub, MOBI

--prefix-rules
    Especifica as regras usadas para incluir prefixos que indicam livros de leitura, lista de sonhos e outros prefixos especificados pelo usuário. O modelo para uma regra de prefixo é ('<rule name>','<source field>','<pattern>','<prefix>'). Quando várias regras são definidas, será usada a primeira regra correspondente. Padrão: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Aplica-se a formatos de saída AZW3, ePub, MOBI

--preset
    Usar um nome predefinido criado com a GUI do construtor de catálogo. Uma predefinição especifica todos os ajustes para construir um catálogo. Padrão: 'None' Aplica-se a formatos de saída AZW3, ePub, MOBI

--thumb-width
    Tamanho da dica (polegadas) para capas de livro no catálogo. Intervalo: 1.0 - 2.0 Padrão: '1.0' Aplicado para formatos de saída AZW3, ePub, MOBI

--use-existing-cover
    Substituir capas existentes ao gerar o catálogo. Padrão: 'False' Aplica-se a: formatos de saída AZW3, ePub, MOBI

SAVED_SEARCHES

calibredb saved_searches [options] (list|add|remove)

Gerencie as pesquisas salvas no banco de dados. Se você tentar adicionar uma pesquisa com o nome que já existe, ele será sobrescristo.

Sintaxe para adicionar:

calibredb saved_searches add search_name search_expression

Sintaxe para remover:

calibredb saved_searches remove search_name

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [opções] identificador nome tipo-de-dado

Criar uma coluna personalizada. "identificador" é o nome de máquina para coluna. Não pode conter espaços ou dois-pontos. "nome" é o nome da coluna que será exibido. tipo-de-dado pode ser um dos seguintes: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--display
    Um dicionário de opções para personalizar a forma como os dados nesta coluna serão interpretados. Esta é uma string JSON. Para colunas de enumeração, use --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Existem muitas opções que podem ir para as opções de variáveis de exibição. As opções por tipo de coluna são: composite: composite_template, composite_sort, make_category,contains_html, use_decorations datetime: date_format enumeration: enum_values, enum_colors, use_decorations int, float: number_format text: is_names, use_decorations A melhor maneira de encontrar combinações legais é criar uma coluna personalizada do tipo apropriado na GUI e em seguida olhar para o backup OPF de um livro (assegure-se que um novo OPF foi criado da coluna foi acrescentado). Você vai ver o JSON da "exibição" para a nova coluna em OPF.

--is-multiple
    Este campo armazena dados como etiquetas (ou seja, vários valores separados por vírgulas). Somente se aplica se o tipo de dados for texto.

CUSTOM_COLUMNS

calibredb custom_columns [options]

Lista colunas personalizadas disponíveis. Exibe os nomes dos campos e seus IDs.

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--details, -d
    Mostrar detalhes para cada campo.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column[options]label

Remover a coluna customizada identificada pela etiqueta. Você poderá ver as colunas costumizadas com o comando custom_columns

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--force, -f
    Não pedir confirmação

SET_CUSTOM

calibredb set_custom [options] column id value

Marque o valor da coluna customizada para o livro identificado pelo id. Você pode pegar a lista de ids usando o comando de pesquisa. Você pode pegar a lista de colunas costumizadas usando o custom_columns command.

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--append, -a
    Se o campo possibilitar armazenar diversos valores, não sobrescreva os valores adicione os valores especificados aos já existentes.

RESTORE_DATABASE

calibredb restore_database [opções]

Restaurar esse banco de dados dos metadados armazenados em arquivos OPF em cada pasta de biblioteca do calibre. Isto é útil se o seu arquivo metadata.db foi corrompido.

AVISO: Este comando regenera completamente o seu banco de dados. Você vai perder todas as buscas salvas, as categorias de usuários, quadros de conexões, configurações armazenadas por conversão de livros, e receitas personalizadas. Os metadados restaurados serão apenas tão precisos quanto aos encontrados nos arquivos OPF .

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--really-do-it, -r
    Realmente faz a recuperação. O comando não será executado, a menos que esta opção seja especificada.

CHECK_LIBRARY

calibredb check_library [options]

Executar algumas verificações no sistema de arquivos representando uma biblioteca. Os relatórios são invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--csv, -c
    Saída em CSV

--ignore_extensions, -e
    Lista de extensões separadas por vírgula para ignorar. Padrão: tudo

--ignore_names, -n
    Lista de nomes separados por vírgula para ignorar. Padrão: tudo

--report, -r
    Lista de relatórios separados por vírgula. Padrão: tudo

--vacuum-fts-db
    Limpar a base de dados da pesquisa no texto completo. Isto pode ser muito lento e utilizar muita memória, dependendo do tamanho da base de dados.

LIST_CATEGORIES

calibredb list_categories [opções]

Produz um relatório das informações da categoria no banco de dados. A informação é equivalente à que é mostrada no Navegador de etiquetas.

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--categories, -r
    Lista de categorias separadas por vírgula para pesquisar nomes. Padrão: tudo

--csv, -c
    Saída em CSV

--dialect
    Tipo de arquivo CSV que será produzido. Escolhas: excel, excel-tab, unix

--item_count, -i
    Processa apenas o número de itens em uma categoria, em vez das contagens por item dentro da categoria

--width, -w
    A largura máxima de uma única linha na saída. O padrão é detectar o tamanho da tela.

BACKUP_METADATA

calibredb backup_metadata [options]

Backup dos metadados armazenados no banco de dados em arquivos OPF individuais em cada pasta de livros. Isso normalmente acontece automaticamente, mas você pode executar este comando para forçar uma nova geração dos arquivos OPF, com a opção --all.

Note que normalmente não há necessidade de fazer isso, pois os arquivos OPF são copiados automaticamente, toda vez que os metadados são alterados.

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--all
    Normalmente, este comando apenas opera em livros que tenham arquivos OPF desatualizados. Esta opção irá criar operações em todos os livros.

CLONE

calibredb clone path/to/new/library

Criar um clone da biblioteca atual. Isto cria uma nova biblioteca vazia que contém as mesmas colunas personalizadas, Bibliotecas virtuais e outros ajustes como a biblioteca atual.

A biblioteca clonada não contêm livros. Se você quiser criar uma cópia completa, incluindo todos os livros, use em seguida suas ferramentas de sistema de arquivos para copiar a pasta da biblioteca.

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

EMBED_METADATA

calibredb embed_metadata [options] book_id

Atualizar os metadados nos arquivos de livros atuais armazenados na biblioteca do calibre dos metadados no banco de dados do calibre. Normalmente, os metadados são atualizadas apenas quando exportar arquivos do calibre, este comando é útil se você deseja que os arquivos

sejam atualizados no local. Observe que diferentes formatos de arquivos suportam diferentes
    quantidades de metadados. Você pode usar o valor especial 'all' para book_id para atualizar os metadados em todos os livros. Você também pode especificar várias ids de livro separado

    por espaços e intervalos de ID separados por hífens. Por exemplo: calibredb embed_metadata 1 2 10-15 23

    Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--only-formats, -f
    Apenas atualizar os metadados em arquivos do formato especificado. Especifique-o várias vezes para vários formatos. Por padrão, todos os formatos são atualizados.

SEARCH

calibredb search [options] search expression

Procura a biblioteca para o termo de pesquisa especificado, retornando uma lista separada por vírgula de ids de livros resultantes da expressão de busca. O formato de saída é útil para alimentar outros comandos que aceitam uma lista de ids como entrada.

O comando de expressão poder ser qualquer coisa da poderosa consulta de busca do calibre por exemplo: calibredb search author:asimov 'title:"i robot"'

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--limit, -l
    O número máximo de resultados para retornar. O padrão é todos os resultados.

FTS_INDEX

calibredb fts_index [opções] enable/disable/status/reindex

Controla o processo de indexação da pesquisa no texto completo.

enable
    Habilita a indexação nesta biblioteca

disable
    Desabilita a indexação nesta biblioteca

status
    Mostra o status atual da indexação

reindex
    Pode ser usado para reindexar livros específicos ou a biblioteca inteira. Para reindexar livros específicos, especifique os ids como um argumento adicional após o comando reindex. Se nenhum id for especificado, a biblioteca inteira é reindexada.

    Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--indexing-speed
    A velocidade da indexação. Use 'fast' para indexação rápida, utilizando todos os recursos de seu computador, ou 'slow' para indexação menos intensa, consumindo menos recursos. Note que a velocidade é redefinida para lenta após cada invocação.

--wait-for-completion
    Aguarde até que todos os livros sejam indexados, exibindo periodicamente o progresso da indexação

FTS_SEARCH

calibredb fts_search [opções] expressão de busca

Pesquisa no texto completo de toda a biblioteca ou em um subgrupo.

Sempre que você for passar argumentos para calibredb que possuem espaços em branco, coloque o argumento dentro de aspas. Por exemplo: "/some path/with spaces"

--do-not-match-on-related-words
    Encontrar apenas palavras exatas, e não palavras relacionadas. Dessa forma, 'corrigir' não irá encontrar 'corrigindo'.

--include-snippets
    Incluir trechos do texto ao redor de cada correspondência. Note que isso torna a pesquisa muito mais lenta.

--indexing-threshold
    O quanto da biblioteca deve estar indexado antes de permitir a pesquisa, como porcentagem. O padrão é 90

--match-end-marker
    O marcador usado para indicar o final de uma palavra correspondente dentro de um trecho

--match-start-marker
    O marcador usado para indicar o início de uma palavra correspondente dentro de um trecho

--output-format
    O formato para a saída de resultado de pesquisa. Pode ser "text" para texto simples ou "json" para saída JSON.

--restrict-to
    Restringir os livros pesquisados, seja usando uma expressão de busca ou ids. Por exemplo: ids:1,2,3 para restringir por ids ou search:tag:foo para restringir a livros com a etiqueta 'foo'.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal